# Extracted from https://git.km3net.de/common/km3net-dataformat/-/blob/881972133aa0fda809d06c97d9736d346dd35efb/offline/Head.hh#L323
const MCHEADERDEF = Dict(
    :DAQ => (:livetime,),
    :cut_primary => (:Emin, :Emax, :cosTmin, :cosTmax),
    :cut_seamuon => (:Emin, :Emax, :cosTmin, :cosTmax),
    :cut_in => (:Emin, :Emax, :cosTmin, :cosTmax),
    :cut_nu => (:Emin, :Emax, :cosTmin, :cosTmax),
    :generator => (:program, :version, :date, :time),
    :physics => (:program, :version, :date, :time),
    :simul => (:program, :version, :date, :time),
    :seed => (:program, :level, :iseed),
    :PM1_type_area => (:type, :area, :TTS),
    :PDF => (:i1, :i2),
    :model => (:interaction, :muon, :scattering, :numberOfEnergyBins),
    :can => (:zmin, :zmax, :r),
    :genvol => (:zmin, :zmax, :r, :volume, :numberOfEvents),
    :merge => (:time, :gain),
    :coord_origin => (:x, :y, :z),
    :translate => (:x, :y, :z),
    :genhencut => (:gDir, :Emin),
    :k40 => (:rate, :time),
    :K40 => (:livetime,),
    :norma => (:primaryFlux, :numberOfPrimaries),
    :livetime => (:numberOfSeconds, :errorOfSeconds),
    :flux => (:type, :key, :file_1, :file_2),
    :spectrum => (:alpha,),
    :fixedcan => (:xcenter, :ycenter, :zmin, :zmax, :radius),
)
